<% title "~ #{@trail.icon_img_html} #{@trail.kctref}", "~ #{@trail.kctref} : trasa" %>

<% render partial: 'errors_for', object: @trail %>

<div class="map-panel">
  <%= render 'osm_trails/map', :osm_trail=> @trail.osm_trail, :div_class => 'fluid-map' %>
</div>

<div class="attrs" style="padding-bottom:2em"> <!-- Údaje ============================= -->
  <!-- NÁZEV  ========================-->
  <div class="attribute" id="nazev">
    <dl class="main">
      <dt>NÁZEV</dt>
      <dd><%= @trail.nazev %></dd>
    </dl>
    <dl class="aside">
      <dt>&nbsp;</dt><dd>&nbsp;</dd>
      <dt>OSM</dt><dd><%= @trail.osm_trail.andand.nazev %></dd>
    </dl>
  </div>
  
  <!-- REF ==================-->
  <div class="attribute">
    <dl class="main">
      <dt>REF</dt>
      <dd>
        <%= @trail.kctref %> <span class="dimm">/ <%= @trail.osmid %></span>
      </dd>
    </dl>
    <dl class="aside">
      <dt>KČT</dt><dd><%= link_to_not_nil @trail.kct_trail.andand.kctref, @trail.kct_trail %></dd>
      <dt>OSM</dt><dd><%= link_to_not_nil @trail.osmid, @trail.osm_trail %> <span class="dimm">/ <%= link_to 'OSM', osm_relation_url(@trail.osmid) %></span></dd>
    </dl>
  </div>
  
  <!-- BARVA a TYP  ==================-->
  <div class="attribute">
    <dl class="main">
      <dt>BARVA / TYP</dt>
      <dd><%= @trail.icon_img_html %> <%= @trail.barva %> <span class="dimm">/ <%= @trail.typ %></span></dd>
    </dl>
    <dl class="aside">
      <dt>KČT</dt><dd><%= link_to cell(:trail, @trail).(:icon_link) %></dd>
      <dt>OSM</dt><dd>???</dd>
    </dl>
  </div>
  
</div>

  <!-- ROZCESTNÍKY ====================-->
<% unless @trail.guideposts.blank? %>
  <h2>Rozcestníky</h2>
  <table class="guideposts">
    <tr><th class="dimm">seq</th><th>km</th><th>ref</th><th>název</th><th>odkazy</th></tr>
    
    <% ot = @trail.osm_trail %>    
    <% @trail.signs.each_with_index do |sign,index| guidepost = sign.guidepost %>
    <tr id="<%= index %>">
      <td class="dimm" align="center"><%= index+1 %></td>
      <%= render sign %>
    </tr>
    <% end %> 
  </table>
  
  <script>
    $( "table.guideposts tr" ).mouseenter(function(event) {
      arrayMarkers[$(this).attr('id')].setStyle({color: 'red', radius:20})
    }).mouseleave(function(event) {
      arrayMarkers[$(this).attr('id')].setStyle({color: 'blue', radius:10})
    });
  </script>
<% end %>

  <!-- POZNÁMKY ========================-->
<h2>Poznámky</h2>
<% @trail.notes.each do |note| %>
  <p><%= note.text %></p>
<% end %>
<p><%= link_to 'přidej poznámku', new_note_path(note: {trail_id: @trail})%></p>
  
<%= content_for :navigace do %>
   <%= link_to 'uprav', edit_trail_path(@trail) %>
 | <%= link_to 'uprav s KČT', edit_with_kct_trail_path(@trail) %>
 | <%= link_to 'uprav s OSM', edit_with_osm_trail_path(@trail) %>
 | <%= link_to 'uprav s KČT i OSM', edit_with_osm_and_kct_trail_path(@trail) %>
 | <%= link_to 'přenes kilometráž z OSM', update_kilometraz_trail_path(@trail), :method => 'patch' %>
 | <%= link_to 'zkontroluj', check_trail_path(@trail) %>
 | <%= link_to 'smaž', @trail, method: 'delete', prompt: 'Určitě smazat trasu?' %>
<% end %>
